#
# spec file for package qlvnictools (Version 0.0.1 )
#
# Copyright (c) 2008-2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define extra_version -0.1.ge27eef7

Name:           qlvnictools
Version:        0.0.1
Release:        2.4
Summary:        VNIC ULP service
Group:          System/Console
License:        GPL-2.0+ or BSD-2-Clause
Url:            http://www.openfabrics.porg
Source0:        http://openib.org/downloads/%{name}-%{version}%{extra_version}.tar.gz
Source1:        ib_qlgc_vnic_info.1
Source2:        ib_qlgc_vnic_query.1
Source3:        ib_qlgc_vnic_update.1
Patch0:         qlvnictools-LSB_header.patch
Patch1:         qlvnictools-build_configuration.patch
Patch2:         qlvnictools-require_libibverbs.patch
Patch3:         qlvnictools-initscript.patch
Patch4:         qlvnictools-pid_dir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       ibvexdmtools
BuildRequires:  autoconf automake libibumad-devel libibverbs-devel

%description
This package handles loading and unloading of the VNIC driver and triggers
creation of the VNIC interfaces by invoking a script which parses the VNIC
configuration file and creates the VNIC interfaces.

%package -n     ibvexdmtools 
Group:          System/Console
Summary:        Tools for VNIC/IB

%description -n ibvexdmtools
In conjunction with the kernel ib_vnic driver, ibvexdmtools allows you
to discover and use QLogic Virtual NIC devices via the VNIC protocol
over InfiniBand.



%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4

%build
pushd ibvexdmtools
autoreconf -fi
%configure 
make %{?_smp_mflags}
popd

pushd qlgc_vnic_daemon
autoreconf -fi
%configure
make %{?_smp_mflags}
popd

%install
install -D qlgc_vnic %{buildroot}%{_sysconfdir}/init.d/qlgc_vnic
install -D ib_qlgc_vnic_parser.pl %{buildroot}%{_sbindir}/ib_qlgc_vnic_parser.pl
install -D ib_qlgc_vnic_info %{buildroot}%{_sbindir}/ib_qlgc_vnic_info
install -D -m 0644 qlgc_vnic.cfg.sample %{buildroot}%{_sysconfdir}/infiniband/qlgc_vnic.cfg
ln -s %{_sysconfdir}/init.d/qlgc_vnic %{buildroot}%{_sbindir}/rcqlgc_vnic
install -d %{buildroot}%{_mandir}/man1
install -D -m 0644 %{S:1} %{S:2} %{S:3} %{buildroot}%{_mandir}/man1

pushd ibvexdmtools
make DESTDIR=%{buildroot} install
popd
pushd qlgc_vnic_daemon
make DESTDIR=%{buildroot} install
popd

%preun
%stop_on_removal qlgc_vic

%postun
%restart_on_update qlgc_vnic
%insserv_cleanup

%files
%defattr(-,root,root)
%doc COPYING README qlgc_vnic_daemon/README
%dir %_sysconfdir/infiniband
%_sysconfdir/init.d/qlgc_vnic
%_sbindir/ib_qlgc_vnic_parser.pl
%_sbindir/ib_qlgc_vnic_info
%{_sbindir}/ib_qlgc_vnic_update
%{_prefix}/sbin/rcqlgc_vnic
%doc %{_mandir}/man1/*.gz
%config(noreplace) %_sysconfdir/infiniband/qlgc_vnic.cfg

%files -n ibvexdmtools
%defattr(-,root,root)
%doc ibvexdmtools/NEWS ibvexdmtools/ChangeLog
%{_sbindir}/ib_qlgc_vnic_query

%changelog
* Tue Jun  3 2014 pth@suse.de
- Update to OFED 3.12 final.
* Fri Feb 14 2014 pth@suse.de
- Add COPYING to documentation
- Add qlvnictools-pid_dir.patch so that /var/run instead of
  /var/lock/subsys is used for PIDs.
* Tue Jan 21 2014 pth@suse.de
- Update to 0.0.1-0.1.ge27eef7 from OFED 3.12
- Add qlvnictools-autotools.patch to fix congure.in files
  so that autoreconf may succeed.
- Use full source URL.
- Add man pages from Debian.
- Add qlvnictools-init_scripts.patch to make the init script
  more conforming.
* Wed Jan 15 2014 pth@suse.de
- Use spdx.org format for license specification.
* Wed Sep  5 2012 pth@suse.de
- Remove noarch from main package as the new subpackage ibmvextools
  is arch dependent.
* Wed Sep  5 2012 pth@suse.de
- Don't use /var/lock/subsys in init script when running on a
  openSUSE/SLES system.
* Fri Aug 31 2012 pth@suse.de
- Update to 0.0.1-0.1.ge27eef7 from OFED 1.5.4.1
- Adapt to changed names.
- Code needs infiniband/arch.h from libibverbs so buildrequire
  libibverbs-devel and add a check for the header to configure.in.
* Thu Jul 19 2012 pth@suse.de
- Add a LSB header to the init script.
- Add a convenience symlink in /usr/sbin.
- Add preun and postun instructions to spec file.
- Run autoreconf and modify configure.in so that reconfiguration
  succeeds.
- Move changes into a .changes file.
* Sat Mar  1 2008 - jjolly@suse.de
- Updated from the OFED 1.3 GA release
* Thu Jan 31 2008 - jjolly@suse.de
- Updated from OFED 1.3 rc2 (still version 0.0.1)
- Changed ql_vnic to qlgc_vnic and
  vnic_parser.pl to qlgc_vinc_parser.pl
* Thu Jul 12 2007 - hvogel@suse.de
- move the init script and the config to the right place
* Tue Jul  3 2007 - hvogel@suse.de
- Initial Package, Version 0.0.1
